//WAP WHICH DISPLAYS WHETHER THE GIVEN NUMBER IS AN ANGSTROM NUMBER
//OR A PALINDROME NUMBER OR NONE OF THEM
#include<iostream.h>
#include<conio.h>
void main()
{
	unsigned long no,temp,rev=0;
	int r,y,x=0;
	clrscr();
	cout<<"\n Enter the number ";
	cin>>no;
	temp=no;
	while(temp)
	{
		r=temp%10;
		rev=rev*10+r;
		temp=temp/10;
		y=r*r*r;
		x+=y;
	}
	if(rev==no)
	cout<<"\nNumber is panildrome"<<no;
	else
	if(no==x)
	cout<<"\nNumber is angstrom"<<no;
	else
	cout<<"\nNumber is none of these "<<no;
	getch();
}